apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: postgresql-sfs
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    matchLabels:
      app: postgresql-a # has to match .spec.template.metadata.labels
  serviceName: "postgresql-svc"
  replicas: 1 # by default is 1
  template:
    metadata:
      labels:
        app: postgresql-a # has to match .spec.selector.matchLabels
    spec:
      terminationGracePeriodSeconds: 10
      containers:
      - name: postgresql-db
        image: {{ .Values.postgresImage }}:{{ .Values.postgresTag }}
        env:
        - name: POSTGRES_PASSWORD
          valueFrom:
            secretKeyRef:
              name: postgresql-secrets
              key: POSTGRES_DB_PASSWORD
        - name: PGDATA
          value: /var/lib/postgresql/data/pgdata
        ports:
        - containerPort: 5432
          name: postgresql-port
        volumeMounts:
        - name: data
          mountPath: /var/lib/postgresql/data
  volumeClaimTemplates:
  - metadata:
      name: data
    spec:
      accessModes: [ "ReadWriteOnce" ]
      storageClassName: default
      resources:
        requests:
          storage: {{ .Values.postgresStorageSize }}
---
apiVersion: v1
kind: Service
metadata:
  name: postgresql-svc
  namespace: {{ .Release.Namespace }}
  labels:
    app: postgresql-a
spec:
  ports:
  - port: 5432
    name: postgresql-port
  clusterIP: None
  selector:
      app: postgresql-a